<%@ page language="java" %> 
<%@taglib uri="/WEB-INF/tld/com_iplanet_jato/jato.tld" prefix="jato"%> 
<%@taglib uri="/WEB-INF/tld/com_sun_web_ui/cc.tld" prefix="cc"%>
<%@taglib uri="/WEB-INF/lib/sa.tld" prefix="sa"%>

<jato:useViewBean className="com.sun.netstorage.mgmt.fm.storade.ui.viewbeans.admin.TimeoutViewBean">

<sa:primarymasthead name="Masthead">

<jato:form name="timeoutForm" method="post">

<!-- Page Title --> 
<cc:pagetitle 
  name="PageTitle" 
  bundleID="appBundle"
  pageTitleText="page.title.timeout" 
  showPageTitleSeparator="true"
  showPageButtonsTop="false"
  showPageButtonsBottom="true">

<!-- PropertySheet -->
  <cc:propertysheet 
   name="TimeoutPropertySheet" 
   bundleID="appBundle" 
   showJumpLinks="false"
   addJavaScript="true" />

</cc:pagetitle>

</jato:form>

<script language="JavaScript">
function validate() {

    if(!ps_CheckRequiredFields()) return false;
    if(!qty_check(document.getElementById("pingTimeoutFor"),
	          1, -999, 
	         "<cc:text name="JSAlert" bundleID="appBundle" defaultValue="js.alert.pingTimeout" escape="false"/>")) 
        return false;
       
    if(!qty_check(document.getElementById("emailTimeoutFor"),
	          1, -999, 
	         "<cc:text name="JSAlert" bundleID="appBundle" defaultValue="js.alert.emailTimeout" escape="false"/>")) 
        return false;

    if(!qty_check(document.getElementById("sunArrayTimeoutFor"),
	          1, -999, 
	         "<cc:text name="JSAlert" bundleID="appBundle" defaultValue="js.alert.sunArrayTimeout" escape="false"/>")) 
        return false;

    if(!qty_check(document.getElementById("snmpTimeoutFor"),
	          1, -999, 
	         "<cc:text name="JSAlert" bundleID="appBundle" defaultValue="js.alert.snmpTimeout" escape="false"/>")) 
        return false;

    if(!qty_check(document.getElementById("discmanTimeoutFor"),
	          1, -999, 
	         "<cc:text name="JSAlert" bundleID="appBundle" defaultValue="js.alert.discmanTimeout" escape="false"/>")) 
        return false;

    if(document.getElementById("luxadmTimeoutFor") && !qty_check(document.getElementById("luxadmTimeoutFor"),
	          1, -999, 
	         "<cc:text name="JSAlert" bundleID="appBundle" defaultValue="js.alert.luxadmTimeout" escape="false"/>")) 
        return false;

    if(document.getElementById("rm6TimeoutFor") && !qty_check(document.getElementById("rm6TimeoutFor"),
	          1, -999, 
	         "<cc:text name="JSAlert" bundleID="appBundle" defaultValue="js.alert.rm6Timeout" escape="false"/>")) 
        return false;

    if(document.getElementById("sccliTimeoutFor") && !qty_check(document.getElementById("sccliTimeoutFor"),
	          1, -999, 
	         "<cc:text name="JSAlert" bundleID="appBundle" defaultValue="js.alert.sccliTimeout" escape="false"/>")) 
        return false;

    return true;
}

</script>

</sa:primarymasthead>

</jato:useViewBean>


